summaryrefslogtreecommitdiffstats
path: root/kpropd.init
diff options
context:
space:
mode:
authorNalin Dahyabhai <nalin@fedoraproject.org>2010-05-04 19:32:52 +0000
committerNalin Dahyabhai <nalin@fedoraproject.org>2010-05-04 19:32:52 +0000
commit59f01480167c1bc57b9a2434a90e3ccd4748b737 (patch)
tree552f3504b381c9864d27770447578eebff8709dd /kpropd.init
parent98bc7d7d76cd2bbfc0cb5c11b07e4e11a9ca3571 (diff)
downloadkrb5-59f01480167c1bc57b9a2434a90e3ccd4748b737.tar.gz
krb5-59f01480167c1bc57b9a2434a90e3ccd4748b737.tar.xz
krb5-59f01480167c1bc57b9a2434a90e3ccd4748b737.zip
- fix output of kprop's init script's "status" and "reload" commandskrb5-1_8_1-4_fc14
(#588222)
Diffstat (limited to 'kpropd.init')
-rwxr-xr-xkpropd.init10
1 files changed, 7 insertions, 3 deletions
diff --git a/kpropd.init b/kpropd.init
index 7c8c73d..220ef2c 100755
--- a/kpropd.init
+++ b/kpropd.init
@@ -65,13 +65,17 @@ case "$1" in
stop
;;
# We don't really "do" reload, so treat it as a restart.
- restart|reload)
+ restart|force-reload)
stop
start
;;
+ reload)
+ echo "can't reload configuration, you have to restart it"
+ RETVAL=3
+ ;;
status)
status -l kprop ${kpropd}
- retval=$?
+ RETVAL=$?
;;
condrestart)
if [ -f /var/lock/subsys/kprop ] ; then
@@ -80,7 +84,7 @@ case "$1" in
fi
;;
*)
- echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+ echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
RETVAL=2
;;
esac